package com.patzn.lims.drug.dto;

import com.patzn.lims.drug.eunms.ItemStatusEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Data
@Accessors(chain = true)
@ApiModel
//个人检测量统计
public class StatisticPersonalTest {

    //项目总量
    private Integer taskTotal;

    //已检测量
    private Integer testedTotal;

    //周同比
    private String weekOnWeek;

    //日同比
    private String dayOnDay;


    //未检测量
    private Integer noTestNum;
    //当天项目数量
    private Integer dayNum;
    //昨天项目数量
    private Integer yesDayNum;
    //本周项目数量
    private Integer weekNum;
    //上周项目数量
    private Integer lastWeekNum;

    private Long uid;

    //上周结束
    private ItemStatusEnum itemStatusEnum;

    //上周开始
    private Date lastWeekBegin;
    //上周结束
    private Date lastWeekEnd;


    //个人报检总量
    private Integer inspectionTotal;
    //今日报检量
    private Integer inspectionDayNum;
    //七日内每天的报检量
    private List<SevenInspection> listSeven;



    //个人样品接收量
    private Integer receiveTotal;
    //个人今日样品接收量
    private Integer receiveDayNum;
    //七日内每天的接收量
    private List<SevenInspection> listSevenReceive;


}
