package com.patzn.lims.online.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.online.dto.TableDataDTO;
import com.patzn.lims.core.online.entity.PtOnlFormHead;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;

/**
 * <p>
 * 表单表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-05-07
 */
public interface IPtOnlFormHeadService extends IBaseService<PtOnlFormHead> {

    Page<PtOnlFormHead> page(Page<PtOnlFormHead> page, PtOnlFormHead ptOnlFormHead);

    boolean addOnlineTable(TableDataDTO dto, Account account);

    boolean synchTable(Long id, Account account);
}
